Index: /trunk/i18n/Russian.ts
===================================================================
--- /trunk/i18n/Russian.ts	(revision 27)
+++ /trunk/i18n/Russian.ts	(revision 27)
@@ -0,0 +1,526 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.0" language="ru_RU" sourcelanguage="en">
+<defaultcodec>UTF-8</defaultcodec>
+<context>
+    <name>CTSPModel</name>
+    <message>
+        <location filename="../src/tspmodel.cpp" line="52"/>
+        <source>City %1</source>
+        <translation>Город %1</translation>
+    </message>
+    <message>
+        <location filename="../src/tspmodel.cpp" line="54"/>
+        <source>%1</source>
+        <translation></translation>
+    </message>
+</context>
+<context>
+    <name>MainWindow</name>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="125"/>
+        <source>Data error</source>
+        <translation>Ошибка в данных</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="125"/>
+        <source>Error in cell [Row %1; Column %2]: Invalid data format.</source>
+        <translation>Ошибка в ячейке [Строка %1; Колонка %2]: Неверный формат данных.</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="134"/>
+        <source>Solution error</source>
+        <translation>Ошибка при решении</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="134"/>
+        <source>There was an error while solving the task.</source>
+        <translation>Во время решения задачи возникла ошибка.</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="17"/>
+        <location filename="../ui/mainwindow.ui" line="14"/>
+        <source>Travelling salesman problem</source>
+        <translation>Задача коммивояжера</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="56"/>
+        <location filename="../ui/mainwindow.ui" line="35"/>
+        <source>Task</source>
+        <translation>Задача</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="77"/>
+        <location filename="../ui/mainwindow.ui" line="56"/>
+        <source>&amp;Variant:</source>
+        <translation>&amp;Вариант:</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="90"/>
+        <location filename="../ui/mainwindow.ui" line="69"/>
+        <source>Number of variant</source>
+        <translation>Номер варианта</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="100"/>
+        <location filename="../ui/mainwindow.ui" line="79"/>
+        <source>&amp;Cities:</source>
+        <translation>&amp;Городов:</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="113"/>
+        <location filename="../ui/mainwindow.ui" line="92"/>
+        <source>Number of cities</source>
+        <translation>Количество городов, которые обходит коммивояжер</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="144"/>
+        <location filename="../ui/mainwindow.ui" line="123"/>
+        <source>Cost of travel from city to city</source>
+        <translation>Стоимости переходов из города в город</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="172"/>
+        <location filename="../ui/mainwindow.ui" line="151"/>
+        <source>Fill table with random numbers</source>
+        <translation>Заполнить таблицу случайными значениями</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="175"/>
+        <location filename="../ui/mainwindow.ui" line="154"/>
+        <source>Random</source>
+        <translation>Случайно</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="185"/>
+        <location filename="../ui/mainwindow.ui" line="164"/>
+        <source>Solve current task</source>
+        <translation>Решить текущую задачу</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="188"/>
+        <location filename="../ui/mainwindow.ui" line="167"/>
+        <source>Solve</source>
+        <translation>Решить</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="202"/>
+        <location filename="../ui/mainwindow.ui" line="181"/>
+        <source>Solution</source>
+        <translation>Решение</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="219"/>
+        <location filename="../ui/mainwindow.ui" line="198"/>
+        <source>Solution steps</source>
+        <translation>Ход решения</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="229"/>
+        <location filename="../ui/mainwindow.ui" line="208"/>
+        <source>Solution graph</source>
+        <translation>Граф решения</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="255"/>
+        <location filename="../ui/mainwindow.ui" line="236"/>
+        <source>&amp;File</source>
+        <translation>&amp;Файл</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="262"/>
+        <location filename="../ui/mainwindow.ui" line="243"/>
+        <source>&amp;Save</source>
+        <translation>Со&amp;хранить</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="282"/>
+        <location filename="../ui/mainwindow.ui" line="266"/>
+        <source>&amp;Settings</source>
+        <translation>&amp;Настройки</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="288"/>
+        <location filename="../ui/mainwindow.ui" line="272"/>
+        <source>&amp;Help</source>
+        <translation>&amp;Помощь</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="328"/>
+        <location filename="../ui/mainwindow.ui" line="344"/>
+        <source>Solution st&amp;eps</source>
+        <translation>&amp;Ход решения</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="331"/>
+        <location filename="../ui/mainwindow.ui" line="347"/>
+        <source>Save solution steps</source>
+        <translation>Сохранить ход решения</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="334"/>
+        <location filename="../ui/mainwindow.ui" line="350"/>
+        <source>Save solution steps only</source>
+        <translation>Сохранить только ход решения</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="342"/>
+        <location filename="../ui/mainwindow.ui" line="358"/>
+        <source>Solution &amp;graph</source>
+        <translation>&amp;Граф решения</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="345"/>
+        <location filename="../ui/mainwindow.ui" line="361"/>
+        <source>Save solution graph</source>
+        <translation>Сохранить граф решения</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="348"/>
+        <location filename="../ui/mainwindow.ui" line="364"/>
+        <source>Save solution graph only</source>
+        <translation>Сохранить только граф решения</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="356"/>
+        <location filename="../ui/mainwindow.ui" line="372"/>
+        <source>&amp;Solution</source>
+        <translation>&amp;Решение</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="359"/>
+        <location filename="../ui/mainwindow.ui" line="375"/>
+        <source>Save solution</source>
+        <translation>Сохранить решение</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="362"/>
+        <location filename="../ui/mainwindow.ui" line="378"/>
+        <source>Save solution steps and graph</source>
+        <translation>Сохранить ход и граф решения</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="371"/>
+        <location filename="../ui/mainwindow.ui" line="387"/>
+        <source>&amp;New</source>
+        <translation>&amp;Создать</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="374"/>
+        <location filename="../ui/mainwindow.ui" line="390"/>
+        <source>New</source>
+        <translation>Создать</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="377"/>
+        <location filename="../ui/mainwindow.ui" line="393"/>
+        <source>New task</source>
+        <translation>Создать задачу</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="380"/>
+        <location filename="../ui/mainwindow.ui" line="396"/>
+        <source>Create new task</source>
+        <translation>Создать новую задачу</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="383"/>
+        <location filename="../ui/mainwindow.ui" line="399"/>
+        <source>Ctrl+N</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="395"/>
+        <location filename="../ui/mainwindow.ui" line="411"/>
+        <source>&amp;Open...</source>
+        <translation>&amp;Открыть...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="398"/>
+        <location filename="../ui/mainwindow.ui" line="414"/>
+        <source>Open...</source>
+        <translation>Открыть...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="401"/>
+        <location filename="../ui/mainwindow.ui" line="417"/>
+        <source>Open task</source>
+        <translation>Открыть задачу</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="404"/>
+        <location filename="../ui/mainwindow.ui" line="420"/>
+        <source>Open saved task</source>
+        <translation>Открыть сохраненное условие задачи</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="407"/>
+        <location filename="../ui/mainwindow.ui" line="423"/>
+        <source>Ctrl+O</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="416"/>
+        <location filename="../ui/mainwindow.ui" line="432"/>
+        <source>&amp;Preferences...</source>
+        <translation>&amp;Параметры...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="419"/>
+        <location filename="../ui/mainwindow.ui" line="435"/>
+        <source>Preferences...</source>
+        <translation>Параметры...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="422"/>
+        <location filename="../ui/mainwindow.ui" line="438"/>
+        <source>Application preferences</source>
+        <translation>Настройка параметров программмы</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="434"/>
+        <location filename="../ui/mainwindow.ui" line="450"/>
+        <source>&amp;Contents</source>
+        <translation>&amp;Содежание</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="437"/>
+        <location filename="../ui/mainwindow.ui" line="453"/>
+        <source>Open help contents</source>
+        <translation>Вызвать справку программы</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="449"/>
+        <location filename="../ui/mainwindow.ui" line="465"/>
+        <source>&amp;Context help</source>
+        <translation>&amp;Контекстная справка</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="452"/>
+        <location filename="../ui/mainwindow.ui" line="468"/>
+        <source>Open context help</source>
+        <translation>Вызвать контекстную справку</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="461"/>
+        <location filename="../ui/mainwindow.ui" line="477"/>
+        <source>&amp;About...</source>
+        <translation>&amp;Про...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="464"/>
+        <location filename="../ui/mainwindow.ui" line="480"/>
+        <source>About...</source>
+        <translation>Про...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="467"/>
+        <location filename="../ui/mainwindow.ui" line="483"/>
+        <source>About application</source>
+        <translation>О программе</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="476"/>
+        <location filename="../ui/mainwindow.ui" line="492"/>
+        <source>E&amp;xit</source>
+        <translation>В&amp;ыход</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="479"/>
+        <location filename="../ui/mainwindow.ui" line="495"/>
+        <source>Exit application</source>
+        <translation>Выйти из приложения</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="491"/>
+        <location filename="../ui/mainwindow.ui" line="507"/>
+        <source>&amp;Task...</source>
+        <translation>&amp;Задачу...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="494"/>
+        <location filename="../ui/mainwindow.ui" line="510"/>
+        <source>Task...</source>
+        <translation>Задачу...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="497"/>
+        <location filename="../ui/mainwindow.ui" line="513"/>
+        <source>Save task</source>
+        <translation>Сохранить задачу</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="500"/>
+        <location filename="../ui/mainwindow.ui" line="516"/>
+        <source>Save task to file</source>
+        <translation>Сохранить условие задачи в файл</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ce.ui" line="503"/>
+        <location filename="../ui/mainwindow.ui" line="519"/>
+        <source>Ctrl+S</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ui" line="315"/>
+        <source>P&amp;rint setup...</source>
+        <translation>&amp;Настройка печати...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ui" line="318"/>
+        <source>Setup printing</source>
+        <translation>Настроить печать</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ui" line="330"/>
+        <source>&amp;Print...</source>
+        <translation>&amp;Печать...</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ui" line="333"/>
+        <source>Print solution results</source>
+        <translation>Распечатать результаты решения</translation>
+    </message>
+    <message>
+        <location filename="../ui/mainwindow.ui" line="336"/>
+        <source>Ctrl+P</source>
+        <translation></translation>
+    </message>
+</context>
+<context>
+    <name>SettingsDialog</name>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="14"/>
+        <location filename="../ui/settingsdialog.ui" line="14"/>
+        <source>Preferences</source>
+        <translation>Параметры</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="100"/>
+        <location filename="../ui/settingsdialog.ui" line="151"/>
+        <source>Random values:</source>
+        <translation>Случайные значения:</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="114"/>
+        <location filename="../ui/settingsdialog.ui" line="165"/>
+        <source>&amp;Minimal:</source>
+        <translation>&amp;Минимум:</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="127"/>
+        <location filename="../ui/settingsdialog.ui" line="178"/>
+        <source>Minimum for random number generation</source>
+        <translation>Нижняя граница для генерации случайных значений</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="150"/>
+        <location filename="../ui/settingsdialog.ui" line="201"/>
+        <source>Ma&amp;ximal:</source>
+        <translation>М&amp;аксимум:</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="163"/>
+        <location filename="../ui/settingsdialog.ui" line="214"/>
+        <source>Maximum for random number generation</source>
+        <translation>Верхняя граница для генерации случайных значений</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="202"/>
+        <location filename="../ui/settingsdialog.ui" line="288"/>
+        <source>Font color for printing</source>
+        <translation>Цвет шрифта, используемого при печати</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="205"/>
+        <location filename="../ui/settingsdialog.ui" line="291"/>
+        <source>&amp;Color...</source>
+        <translation>&amp;Цвет...</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="219"/>
+        <location filename="../ui/settingsdialog.ui" line="305"/>
+        <source>Font face for printing</source>
+        <translation>Вид шрифта, используемого при печати</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="222"/>
+        <location filename="../ui/settingsdialog.ui" line="308"/>
+        <source>&amp;Font...</source>
+        <translation>&amp;Шрифт...</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="287"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="293"/>
+        <location filename="../ui/settingsdialog.ui" line="377"/>
+        <location filename="../ui/settingsdialog.ui" line="383"/>
+        <source>Help</source>
+        <translation>Помощь</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="290"/>
+        <location filename="../ui/settingsdialog.ui" line="380"/>
+        <source>Get preferences help</source>
+        <translation>Получить помощь по настройкам</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="323"/>
+        <location filename="../ui/settingsdialog.ui" line="425"/>
+        <source>Save new preferences</source>
+        <translation>Сохранить новые параметры</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="326"/>
+        <location filename="../ui/settingsdialog.ui" line="428"/>
+        <source>&amp;OK</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="343"/>
+        <location filename="../ui/settingsdialog.ui" line="445"/>
+        <source>Close without saving preferences</source>
+        <translation>Закрыть окно без сохранения параметров</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="346"/>
+        <location filename="../ui/settingsdialog.ui" line="448"/>
+        <source>&amp;Cancel</source>
+        <translation>&amp;Отмена</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="41"/>
+        <source>background-color: #0080C0</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="235"/>
+        <source>Print settings:</source>
+        <translation>Настройки печати:</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="249"/>
+        <source>&amp;Left margin:</source>
+        <translation>&amp;Левый отступ:</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="262"/>
+        <source>Left border margin for page</source>
+        <translation>Левый отступ от края страницы во время печати</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="329"/>
+        <source>Restore main window state and position on application restart</source>
+        <translation>Восстанавливать состояние и размеры главного окна после перезапуска приложения</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="332"/>
+        <source>Save main window state and position</source>
+        <translation>Сохранять состояние и положение главного окна</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="403"/>
+        <source>Hover mouse pointer over dialog elements to get additional help</source>
+        <translation>Наведите указатель мыши на элемент диалога, чтоб получить подсказку</translation>
+    </message>
+</context>
+</TS>
